package cmp20;

import javax.ejb.DuplicateKeyException;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class Client {

	public static void main(String[] args) throws Exception{

		InitialContext ctx = new InitialContext();
		PersonHome home = (PersonHome)PortableRemoteObject.narrow(
			ctx.lookup("PersonHome"),
			PersonHome.class);

		try{
			home.create("", 100);
			home.create("퐶", 90);
			home.create("^", 8);

		}catch(DuplicateKeyException e){
			System.out.println(e);
		}

		Person person = home.findByPrimaryKey("");
		PersonVO vo = person.getPersonVO();
		System.out.println(vo);
		
		System.out.println("END");
	}
}
