package cmp20;

import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

/**
 * CMP2.0̍ŏ̃Tv
 */
public abstract class PersonBean implements EntityBean{

	//CMPtB[h
	public abstract String getName();
	public abstract void setName(String name);

	public abstract int getAge();
	public abstract void setAge(int age);


	//create methods
	public String ejbCreate(String name) throws CreateException{
		setName(name);
		return null;
	}

	public String ejbCreate(String name, int age) throws CreateException{
		setName(name);
		setAge(age);
		return null;
	}

	public void ejbPostCreate(String name) throws CreateException{
	}

	public void ejbPostCreate(String name, int age) throws CreateException{
	}
	



	//business methods
	public PersonVO getPersonVO(){
		PersonVO vo = new PersonVO();
		vo.setName(getName());
		vo.setAge(getAge());
		return vo;
	}




	/**
	 * @see javax.ejb.EntityBean#ejbActivate()
	 */
	public void ejbActivate() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#ejbLoad()
	 */
	public void ejbLoad() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#ejbPassivate()
	 */
	public void ejbPassivate() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#ejbRemove()
	 */
	public void ejbRemove()
		throws RemoveException, EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#ejbStore()
	 */
	public void ejbStore() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#setEntityContext(EntityContext)
	 */
	public void setEntityContext(EntityContext arg0)
		throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.EntityBean#unsetEntityContext()
	 */
	public void unsetEntityContext() throws EJBException, RemoteException {
	}

}
